﻿using Newtonsoft.Json;
using System.Text.Json;
using System.Text.Json.Serialization;
namespace iFileProxy.Models
{
    public class TaskInfo
    {
        [JsonProperty("id")]
        [JsonPropertyName("id")]
        public uint Id { get; set; }

        [JsonProperty("tid")]
        [JsonPropertyName("tid")]
        public string TaskId { get; set; }

        [JsonProperty("file_name")]
        [JsonPropertyName("file_name")]
        public string FileName { get; set; }

        [JsonProperty("client_ip")]
        [JsonPropertyName("client_ip")]
        public string? ClientIp { get; set; }

        [JsonProperty("add_time")]
        [JsonPropertyName("add_time")]
        public DateTime AddTime { get; set; }

        [JsonProperty("update_time")]
        [JsonPropertyName("update_time")]
        public DateTime UpdateTime { get; set; }

        [JsonProperty("status")]
        [JsonPropertyName("status")]
        public TaskState Status { get; set; }

        [JsonProperty("url")]
        [JsonPropertyName("url")]
        public string Url { get; set; }

        [JsonProperty("size")]
        [JsonPropertyName("size")]
        public long Size { get; set; }

        [JsonProperty("hash")]
        [JsonPropertyName("hash")]
        public string Hash { get; set; }

        [JsonProperty("tag")]
        [JsonPropertyName("tag")]
        public string Tag { get; set; }

        [JsonProperty("queue_position")]
        [JsonPropertyName("queue_position")]
        public int QueuePosition { get; set; }
    }

    public class DbConfigName {
        public static string iFileProxy = "iFileProxy_Db";
    
    }
}
